#!/usr/bin/env python

# NOTE: Path manipulation requires manual customisation.

import sys
sys.path.append("/home/paulb/Software/Python/WebStack")
sys.path.append("/home/paulb/Software/Python/XSLTools")
sys.path.append("/home/paulb/Software/Python/XSLTools/examples/Common")
sys.path.append("/home/paulb/Software/Python/libxml2dom")

from WebStack.Adapters.CGI import deploy
import VerySimpleWithOpenID

# Get a simple Web site.

host = "http://localhost" # or an absolute URL (without path)
secret_key = "this_must_be_secret"
deployed_at = "http://localhost/cgi/vsimple" # must match server configuration

resource = VerySimpleWithOpenID.get_site(host, secret_key, deployed_at=deployed_at)

# Special magic incantation.

deploy(resource, handle_errors=0)

# vim: tabstop=4 expandtab shiftwidth=4
